#!/bin/bash
#
# Copyright (c) 1999 Red Hat, Inc.
# Author: Tim Powers <timp@redhat.com>
#
# Simple shell script which makes sure that ~/.bmud is present, if it isn't
# ~/.bmud is created.

if [ -e ~/.bmud ]; then
	bmud-0.4
	exit 0	
else
	echo "========================================"
	echo "You are running bmud for the first time."
	echo "Creating ~/.bmud directory."
	echo "========================================"
	mkdir ~/.bmud
	cp /usr/share/bmud/mudservers ~/.bmud
	bmud-0.4
fi
