%define name		bmud
%define version		0.4
%define release		1
%define prefix		/usr
%define sysconfdir	/etc

Summary: A MUD client for GNOME and X.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Amusements/Games
URL: http://math.smsu.edu/~br0ke/bmud.html
Source0: http://math.smsu.edu/~br0ke/files/bmud-%{version}.tar.gz
Source1: bmud.sh
Patch0: bmud-prefix.patch
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Bmud is a MUD (Multi-User Dungeon or Dimension) client for GNOME and
the X Window System. Bmud is based on the GTK+ widget set.

%prep
%setup -q
%patch0 -p1

%build
./configure --prefix=/usr
make

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/help/bmud/C
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/bmud

install -m 0755 $RPM_SOURCE_DIR/bmud.sh $RPM_BUILD_ROOT%{prefix}/bin/bmud
install -sm 0755 install.d/bmud $RPM_BUILD_ROOT%{prefix}/bin/bmud-0.4
install -m 0644 install.d/bmud.desktop $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Games
install -m 0644 install.d/topic.dat $RPM_BUILD_ROOT%{prefix}/share/gnome/help/bmud/C
install -m 0644 install.d/bmud.html $RPM_BUILD_ROOT%{prefix}/share/gnome/help/bmud/C
install -m 0644 install.d/bmud.png $RPM_BUILD_ROOT%{prefix}/share/pixmaps/bmud.png
install -m 0644 install.d/mudservers $RPM_BUILD_ROOT%{prefix}/share/bmud

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PROPOSAL README TODO
%{prefix}/bin/bmud
%{prefix}/bin/bmud-0.4
%{prefix}/share/gnome/apps/Games/bmud.desktop
%{prefix}/share/gnome/help/bmud/C/*
%dir %{prefix}/share/gnome/help/bmud/C/
%dir %{prefix}/share/gnome/help/bmud
%{prefix}/share/pixmaps/bmud.png
%{prefix}/share/bmud/mudservers
%dir %{prefix}/share/bmud/

%changelog
* Mon Nov 1 1999 Tim Powers <timp@redhat.com>
- updated to 0.4
- created shell script to check for ~/.bmud, if it doesn't exist it is created
- deopped bmud.desktop file which was included by Dale, since it is included
  in the source now.
  
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed groups

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Jul 12 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
